path "..\\gfx\\part";
path "..\\gfx\\panel";
path "..\\gfx\\other";
path "..\\scripts";

include <blast.wdl>;

string rocket_mdl = <rocket.mdl>;
string  blastlogo = <blastlog.mdl>;
string   aloklogo = <aloklogo.mdl>;

var timecounter ;
var rocket_speed;
var ir_shoot = 0;
var in_br_vis = 0;
var ir_lload = 0;
var clip_range = 5000;
var clip_size = 0;
var turb_range =  0.5;
var turb_speed = 0.5;

function timer2();
function blogo_f();
function rocketintro();
function rlaunchintro();
function remov();
function rotate();
function abort_intro();

string level_str = <intro.WMB>;

function main()
{
  timecounter = 0;
  warn_level = 0;
  on_esc = NULL;
  a5logo.pos_x = (screen_size.x - bmap_width(logoa5))/2;
  a5logo.pos_y = (screen_size.y - bmap_height(logoa5))/2;
  a5logo.visible = on;
  wait(48);
	level_load(level_str);
	wait(48);
	a5logo.visible = off;
	bmap_purge(logoa5);		
	freeze_mode = 1;
	wait(8);
	freeze_mode = 0;
	temp = nullvector;
	ent_create(aloklogo,temp,rotate);
	timer2();	
}

function abort_intro()
{
  timecounter += 0;
  timecounter = 0;
  mainm();
}


function timer2()
{
 while(timecounter <= 190)
   {
    timecounter += 1*time;
    wait(1);
   }
 return;
}
  

function blogo_f()
{
 my.passable = on;
 my.pan = 90;
 while(1)
   {
     if(key_esc)
     {
      break;
      }
     if(timecounter <= 139)
        {
           if(timecounter >= 120)
              {
               my.tilt -= 5*time;
              }
           if(timecounter >= 138)
              { 
                if(ir_shoot == 0)
                   {
                    temp.x = 0;
                    temp.y = 315;
                    temp.z = 0;
                    ent_create(blastlogo,temp,rocketintro);
                    ir_shoot = 1;
                   }
              } 
        }
     if(timecounter <= 164)
        {
         if(timecounter >= 145)
            {
              my.tilt += 5*time;
            }
        } 
     if(timecounter >= 164)
       {
         if(timecounter <= 190)
         {
          my.y -= 5*time;
         }     
     }  
     
     if(timecounter >= 190)
        {
         //breakpoint;
         mainm();  
         break;
        }           
  wait(1);
  }
  return;
}
    
function rotate()
{
 on_esc = abort_intro; 
 my.pan = 90;
 while(1)
 {
  if(key_esc)
  {
    break;
  }
  if(timecounter <= 72)
     {
      my.tilt -= 5*time;
     }
  if(timecounter >= 72)
     {
      if(timecounter <= 108)
         {
          my.y -= 5*time;
         }     
     } 
  if(timecounter >= 109)
     {
      temp = nullvector;
      ent_create(blastlogo,temp,blogo_f);
      ent_remove(my);
      return;
      break;
     }
  wait(1);
 }
 return;
}



function rocketintro()
{
 my.visible = off;
 my.pan = 90;
 ent_create (rocket_mdl,my.pos,rlaunchintro); 
 ent_remove(me);
 return;
}



function rlaunchintro()
{
	my.enable_block = on;
	my.event = remov;
	my.passable = on;
	my.pan = my.pan - 90;
	my.tilt = my.tilt;

	my.skill1 = 0;
	rocket_speed.x = 50 ;
	rocket_speed.y = 0;
	rocket_speed.z = 0;
	rocket_speed *= time;
	while (my.skill1 < 50)
	{
		if (my == null) {return;}
		if (my.skill1 < 0.1)  
		{
			my.passable = on;
			my.invisible = on;
			my.visible = off;
		}
		else	
		{
			my.passable = off;
			my.invisible = off;
			my.visible = on;
		}
		my.skill1 += 0.1 * time;
		move_mode =  ignore_passable + ignore_me;
		ent_move (rocket_speed, nullvector);
		wait (1);	
	}
	remove me;
	return;
}

function remov()
{
	wait (2);
	if (event_type == event_block)	
	{
  	rocketl();
	  ent_remove (me);
	  return;
	}
}

